- [HTTP request](https://docs.cloud.google.com/app-hub/docs/reference/rest/v1/projects.locations.applications.services/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/app-hub/docs/reference/rest/v1/projects.locations.applications.services/delete#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/app-hub/docs/reference/rest/v1/projects.locations.applications.services/delete#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/app-hub/docs/reference/rest/v1/projects.locations.applications.services/delete#body.request_body)
- [Response body](https://docs.cloud.google.com/app-hub/docs/reference/rest/v1/projects.locations.applications.services/delete#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/app-hub/docs/reference/rest/v1/projects.locations.applications.services/delete#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/app-hub/docs/reference/rest/v1/projects.locations.applications.services/delete#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/app-hub/docs/reference/rest/v1/projects.locations.applications.services/delete#try-it)

Deletes a Service from an Application.

### HTTP request

Choose an endpoint:
global africa-south1 asia-east1 asia-east2 asia-northeast1 asia-northeast2 asia-northeast3 asia-south1 asia-south2 asia-southeast1 asia-southeast2 asia-southeast3 australia-southeast1 australia-southeast2 europe-central2 europe-north1 europe-north2 europe-southwest1 europe-west10 europe-west12 europe-west1 europe-west2 europe-west3 europe-west4 europe-west6 europe-west8 europe-west9 me-central1 me-central2 me-west1 northamerica-northeast1 northamerica-northeast2 southamerica-east1 southamerica-west1 us-central1 us-east1 us-east4 us-east5 us-south1 us-west1 us-west2 us-west3 us-west4   
`DELETE https://apphub.googleapis.com/v1/{name=projects/*/locations/*/applications/*/services/*}`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Fully qualified name of the Service to delete from an Application. Expected format: `projects/{project}/locations/{location}/applications/{application}/services/{service}`. |

### Query parameters

| Parameters ||
|---|---|
| `requestId` | `string` Optional. An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes after the first request. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000). |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/app-hub/docs/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `apphub.services.delete`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).